% Plot in current figure contents of array 'attr' as values associated with coordinates
% of receivers in array 'rec'

function plot_map_rec(rec,attr)
  
  global survey xi yi ttime xgrid ygrid src_station

  if ~isempty(attr)
  	map = griddata(survey.lst_station(rec,4),survey.lst_station(:,5),attr,xi,yi,"linear");
  	imagesc(xgrid,ygrid,map)
  end

  colorbar;

end
