% Plot in current figure contents of array 'attr' as values associated with coordinates
% of sources in array 'src'

function plot_map_src(src,attr)
  
  global survey xi yi ttime xgrid ygrid src_station

  if ~isempty(attr)
  	map = griddata(src_station(src,5),src_station(src,6),attr,xi,yi,"linear");
  	imagesc(xgrid,ygrid,map)
  end
  	
  colorbar;
end
